Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.propertyMap
Interface PropertyProvider

All Known Implementing Classes:
  PropertyProviderAdapter, SinglePropertyProvider

public interface PropertyProvider

Class which implements this interface will have ability to have only one property with a number of values. There are methods to add new values and to make some checks, but there are no methods to get/set property value and to produce other actions. For full access to properties PropertyMap should be implemented instead.

Author:
  TogetherSoft

Method Summary
`Property` | `addProperty(Object propertyValue)` Adds new value.
`boolean` | `canAddProperty(Object propertyValue)` Checks whether it is possible to add specified value.
`boolean` | `isReadable()` Checks whether this property is readable.
`boolean` | `isWritable()` Checks whether this property is writeable.
`Enumeration` | `properties()` Returns Enumeration of all values.

Method Detail

### addProperty

    public Property addProperty(Object propertyValue)

  Adds new value.
  Parameters:
    propertyValue - Value to be added

### canAddProperty

    public boolean canAddProperty(Object propertyValue)

  Checks whether it is possible to add specified value.
  Parameters:
    propertyValue - Value to be checked
  Returns: true if this value can be set, false otherwise

### isReadable

    public boolean isReadable()

  Checks whether this property is readable.
  Returns: true if it possible to get values, false otherwise

### isWritable

    public boolean isWritable()

  Checks whether this property is writeable.
  Returns: true if it possible to get write, false otherwise

### properties

    public Enumeration properties()

  Returns Enumeration of all values.
  Returns: Enumeration of all values

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD